package MarcScaleOverwritePackage {
	function Player::getScale(%this) {
		%ret                   = Parent::getScale(%this);
		%regularSizeForBigHana = 0.35;
		if(%this.getDataBlock().defaultSize !$= "") %ret = vectorAdd(%this.getDataBlock().defaultSize, vectorSub(%ret, "1 1 1"));
		if(%ret $= "0.3 0.3 0.3") %ret = "0.2 0.2 0.2";
		return %ret;
	}
	function Player::getMuzzlePoint(%this, %slot) {
		if(getWord(%this.getScale(), 0) < 5) return Parent::getMuzzlePoint(%this, %slot);
		
		%result = Parent::getMuzzlePoint(%this, %slot);
		%result = vectorAdd(%result, vectorScale(%this.getEyeVector(), getWord(%this.getScale(), 2) - 5));
		
		return %result;
	}
};
activatePackage(MarcScaleOverwritePackage);